package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 走访任务统计对象 visit_campaign_count
 * 
 * @author ruoyi
 * @date 2025-04-07
 */
public class VisitCampaignCount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private String campaignId;

    private String campsource;

    private Long deptId;

    private String branchId;

    private String isOutlet;

    private String deptName;

    private String deptType;

    private String checkType;

    private String campaignName;

    private String userName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date claimStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date claimEndTime;

    private String claimType;

    private String createRole;

    /** 活动客户数 */
    @Excel(name = "活动客户数")
    private Long custNum;

    /** 推送成功客户数 */
    @Excel(name = "推送成功客户数")
    private Long pushSuccessNum;

    /** 机构分配率 */
    @Excel(name = "机构分配率")
    private String allocateRate;

    /** 客户认领率 */
    @Excel(name = "客户认领率")
    private String issuedNum;

    /** 认领客户数 */
    @Excel(name = "认领客户数")
    private Long claimNum;

    /** 有效待走访客户数 */
    @Excel(name = "有效待走访客户数")
    private Long validVisitNum;

    /** 走访率 */
    @Excel(name = "走访率")
    private String visitRate;

    /** 贷款合同签约率 */
    @Excel(name = "贷款合同签约率")
    private String loanSignRate;

    /** 活期存款提升金额 */
    @Excel(name = "活期存款提升金额")
    private String increaseDepositAmount;

    /** 推送的客户经理 */
    @Excel(name = "推送的客户经理")
    private String pushClientId;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    private String custType;

    private Long dispatchNum;

    private String orgDistributeStatus;

    private List<Long> deptList;

    private String nickName;

    private String outlets;

    private String outletsId;

    private String userId;

    private String personType;//查询条件筛选

    public String getPersonType() {
        return personType;
    }

    public void setPersonType(String personType) {
        this.personType = personType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCampsource() {
        return campsource;
    }

    public void setCampsource(String campsource) {
        this.campsource = campsource;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public List<Long> getDeptList() {
        return deptList;
    }

    public void setDeptList(List<Long> deptList) {
        this.deptList = deptList;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getClaimStartTime() {
        return claimStartTime;
    }

    public void setClaimStartTime(Date claimStartTime) {
        this.claimStartTime = claimStartTime;
    }

    public Date getClaimEndTime() {
        return claimEndTime;
    }

    public void setClaimEndTime(Date claimEndTime) {
        this.claimEndTime = claimEndTime;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCampaignId(String campaignId) 
    {
        this.campaignId = campaignId;
    }

    public String getCampaignId() 
    {
        return campaignId;
    }
    public void setCustNum(Long custNum) 
    {
        this.custNum = custNum;
    }

    public Long getCustNum() 
    {
        return custNum;
    }
    public void setPushSuccessNum(Long pushSuccessNum) 
    {
        this.pushSuccessNum = pushSuccessNum;
    }

    public Long getPushSuccessNum() 
    {
        return pushSuccessNum;
    }
    public void setAllocateRate(String allocateRate) 
    {
        this.allocateRate = allocateRate;
    }

    public String getAllocateRate() 
    {
        return allocateRate;
    }
    public void setIssuedNum(String issuedNum) 
    {
        this.issuedNum = issuedNum;
    }

    public String getIssuedNum() 
    {
        return issuedNum;
    }
    public void setClaimNum(Long claimNum) 
    {
        this.claimNum = claimNum;
    }

    public Long getClaimNum() 
    {
        return claimNum;
    }
    public void setValidVisitNum(Long validVisitNum) 
    {
        this.validVisitNum = validVisitNum;
    }

    public Long getValidVisitNum() 
    {
        return validVisitNum;
    }
    public void setVisitRate(String visitRate) 
    {
        this.visitRate = visitRate;
    }

    public String getVisitRate() 
    {
        return visitRate;
    }
    public void setLoanSignRate(String loanSignRate) 
    {
        this.loanSignRate = loanSignRate;
    }

    public String getLoanSignRate() 
    {
        return loanSignRate;
    }
    public void setIncreaseDepositAmount(String increaseDepositAmount) 
    {
        this.increaseDepositAmount = increaseDepositAmount;
    }

    public String getIncreaseDepositAmount() 
    {
        return increaseDepositAmount;
    }
    public void setPushClientId(String pushClientId) 
    {
        this.pushClientId = pushClientId;
    }

    public String getPushClientId() 
    {
        return pushClientId;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public Long getDispatchNum() {
        return dispatchNum;
    }

    public void setDispatchNum(Long dispatchNum) {
        this.dispatchNum = dispatchNum;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(String outletsId) {
        this.outletsId = outletsId;
    }

    public String getIsOutlet() {
        return isOutlet;
    }

    public void setIsOutlet(String isOutlet) {
        this.isOutlet = isOutlet;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("campaignId", getCampaignId())
            .append("custNum", getCustNum())
            .append("pushSuccessNum", getPushSuccessNum())
            .append("allocateRate", getAllocateRate())
            .append("issuedNum", getIssuedNum())
            .append("claimNum", getClaimNum())
            .append("validVisitNum", getValidVisitNum())
            .append("visitRate", getVisitRate())
            .append("loanSignRate", getLoanSignRate())
            .append("increaseDepositAmount", getIncreaseDepositAmount())
            .append("pushClientId", getPushClientId())
            .append("custType", getCustType())
            .toString();
    }
}
